1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 7 & earlier Logic Audio platinum 4.7 and Powerbook 4.7

Discussion in 'Logic 7 and older Versions' started by cringeling, Apr 10, 2009.

  1. cringeling

    cringeling New Member

    Dear users!

    I have been running Logic Audio on an Imac OS 9.1, and it worked great.

    Can anybody tell me if it is possible to run this same program on my Powerbook G4?

    HELP!

    Cindy R
     
  2.  
  3. Eli

    Eli Senior member

    My band has been running an old version of Logic 4.6 on an old black G3 Laptop for years - it's rock solid. In fact, we've recently upgraded and have the whole thing for sale. Anyone wanna' buy an old G3 laptop and old ADB dongle with Logic (Gold in our case) 4.6? Make me an offer!

    But to answer your question: it should work. Is your laptop running OS 9? Your dongle must be USB - which is okay. If it worked on one it'll work on the other. But Logic 4.7 won't run on OS X. So, if you have OS X on your laptop - forget it. Or install OS 9.
     
  4. smyth

    smyth New Member

  5. flacha

    flacha New Member

    Hi
    Is it possible to use the ADB dongle with an Imac running 9.1? I am interested in the logic w/ dongle.
     
  6. Eli

    Eli Senior member

    Just a little update since my last post on this thread: My band has updated to a Macbook and Logic 8 ( a couple of years ago). Our keyboard uses it at the same time as Mainstage and it works well for the most part
     

Share This Page